## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check

%global crate sequoia-sq

Name:           rust-sequoia-sq
Version:        0.37.0
Release:        %autorelease
Summary:        Command-line frontends for Sequoia

License:        LGPL-2.0-or-later
URL:            https://crates.io/crates/sequoia-sq
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * switch crypto backend from Nettle to OpenSSL
# * exclude files that are only useful for upstream development
# * drop automated generation of upstream integration tests
# * drop features for unsupported crypto backends
Patch:          sequoia-sq-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Command-line frontends for Sequoia.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# (Apache-2.0 OR MIT) AND BSD-3-Clause
# (MIT OR Apache-2.0) AND Unicode-DFS-2016
# 0BSD OR MIT OR Apache-2.0
# Apache-2.0
# Apache-2.0 AND MIT
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR ISC OR MIT
# Apache-2.0 OR MIT
# Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
# BSD-2-Clause OR Apache-2.0 OR MIT
# BSL-1.0
# LGPL-2.0-or-later
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# MIT OR Zlib OR Apache-2.0
# MPL-2.0
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
License:        LGPL-2.0-or-later AND Apache-2.0 AND BSL-1.0 AND BSD-3-Clause AND MIT AND MPL-2.0 AND Unicode-DFS-2016 AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR ISC OR MIT) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE.txt
%license LICENSE.dependencies
%doc README.md
%{_bindir}/sq
%{_mandir}/man1/sq*
%{bash_completions_dir}/sq.bash
%{fish_completions_dir}/sq.fish
%{zsh_completions_dir}/_sq

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
# drop broken integration tests
rm -vr subplot/

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install
# install manual pages
mkdir -p %{buildroot}/%{_mandir}/man1
cp -pav target/release/build/%{crate}-*/out/man-pages/sq*.1 %{buildroot}/%{_mandir}/man1/
# install shell completions
install -Dpm 0644 target/release/build/%{crate}-*/out/shell-completions/sq.bash \
    %{buildroot}/%{bash_completions_dir}/sq.bash
install -Dpm 0644 target/release/build/%{crate}-*/out/shell-completions/sq.fish \
    %{buildroot}/%{fish_completions_dir}/sq.fish
install -Dpm 0644 target/release/build/%{crate}-*/out/shell-completions/_sq \
    %{buildroot}/%{zsh_completions_dir}/_sq

%if %{with check}
%check
# * skip tests that require files which are not included in published crates
# * skip tests that fail because the Fedora crypto policy is too strict
%cargo_test -- -- --exact --skip cli::cert::export::sq_cert_export --skip cli::cert::import::sq_cert_import --skip cli::inspect::sq_inspect --skip cli::key::expire::sq_key_expire --skip cli::key::sq_key_import --skip cli::key::sq_key_list --skip cli::pki::sq_pki_authenticate --skip cli::pki::sq_pki_identify --skip cli::pki::sq_pki_list --skip cli::pki::sq_pki_lookup --skip cli::pki::sq_pki_path --skip sq_sign --skip sq_sign_append --skip sq_sign_append_on_compress_then_sign --skip sq_sign_detached --skip sq_sign_detached_append --skip sq_sign_with_notations
%endif

%changelog
## START: Generated by rpmautospec
* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.37.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 30 2024 Fabio Valentini <decathorpe@gmail.com> - 0.37.0-3
- Rebuild for sequoia-openpgp 1.21.1

* Wed Jun 26 2024 Fabio Valentini <decathorpe@gmail.com> - 0.37.0-2
- Rebuild for sequoia-openpgp 1.21.0

* Sat Jun 15 2024 Fabio Valentini <decathorpe@gmail.com> - 0.37.0-1
- Update to version 0.37.0; Fixes RHBZ#2282272

* Fri Jun 14 2024 Fabio Valentini <decathorpe@gmail.com> - 0.36.0-1
- Update to version 0.36.0

* Thu May 23 2024 Fabio Valentini <decathorpe@gmail.com> - 0.35.0-2
- Rebuild with Rust 1.78 to fix incomplete debuginfo and backtraces

* Thu Apr 18 2024 Fabio Valentini <decathorpe@gmail.com> - 0.35.0-1
- Update to version 0.35.0; Fixes RHBZ#2275140

* Tue Mar 19 2024 Fabio Valentini <decathorpe@gmail.com> - 0.34.0-1
- Update to version 0.34.0; Fixes RHBZ#2267105

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.33.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fabio Valentini <decathorpe@gmail.com> - 0.33.0-1
- Update to version 0.33.0; Fixes RHBZ#2259207

* Tue Dec 19 2023 Fabio Valentini <decathorpe@gmail.com> - 0.32.0-1
- Update to version 0.32.0; Fixes RHBZ#2108897

* Fri Dec 01 2023 Fabio Valentini <decathorpe@gmail.com> - 0.26.0-10
- Rebuild for openssl crate >= v0.10.60 (RUSTSEC-2023-0044,
  RUSTSEC-2023-0072)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.26.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu May 18 2023 Fabio Valentini <decathorpe@gmail.com> - 0.26.0-8
- Rebuild for sequoia-openpgp v1.16

* Wed May 03 2023 Fabio Valentini <decathorpe@gmail.com> - 0.26.0-7
- Rebuild for tokio, h2, and openssl crate security updates

* Fri Apr 14 2023 Fabio Valentini <decathorpe@gmail.com> - 0.26.0-6
- Bump sequoia-autocrypt to v0.25 and sequoia-net to v0.27

* Sun Feb 26 2023 Fabio Valentini <decathorpe@gmail.com> - 0.26.0-5
- Rebuild for bzip2 0.4.4 (CVE-2023-22895 / RUSTSEC-2023-0004)

* Sun Feb 05 2023 Fabio Valentini <decathorpe@gmail.com> - 0.26.0-4
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.26.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.26.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Mar 16 2022 Fabio Valentini <decathorpe@gmail.com> - 0.26.0-1
- Update to version 0.26.0; Fixes RHBZ#2059968

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.25.0-5
- Rebuild with package notes

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.25.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Sep 14 2021 Sahana Prasad <sahana@redhat.com> - 0.25.0-3
- Rebuilt with OpenSSL 3.0.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.25.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Apr 08 2021 Fabio Valentini <decathorpe@gmail.com> - 0.25.0-1
- Initial package

## END: Generated by rpmautospec
